#ifndef cpmt_H
#define cpmt_H

// TODO: Remove for Mac/Linux
#define WINDOWS
#include "ac_plugin.h"

//---------------------------------------------------------------------------------------
// PMT global singleton
class CPmt
{

private:

   // Singleton instance exists
   static bool mInstanceInd;
   // Singleton instance
   static CPmt *mSingle;

   CPmt();

public:

   // Vertex list
   Vertex **mV;
   // Number of vertices in list
   unsigned int mVCount;

   static CPmt *GetSingleton();

  ~CPmt();

   void Clear();
   void AllocateVerts( unsigned int numverts );

};
//---------------------------------------------------------------------------------------

#endif
