#ifndef cexceptH
#define cexceptH

#include <stdarg.h>
#include <stdio.h>

#define ERROR_MAX_LINE_LENGTH 8192

//---------------------------------------------------------------------------
//! Error exception type
class CExcept {
public:
   char text[ERROR_MAX_LINE_LENGTH];
   CExcept( const char *fmt, ... )
   {
      if( fmt == NULL ) {
         text[0] = '\0';
      } else {
         va_list ap;
         va_start( ap, fmt );
            vsprintf( text, fmt, ap );
         va_end( ap );
      }
   };
};
//---------------------------------------------------------------------------

#endif
